/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;    // Namespace of Console and Exception classes.
using System.IO; // Namespace of StreamWriter class.

namespace Starter {
    class Program {
        public static void Main() {

            // 'try' block contains vulnerable code.
            try {
                int x = 0;
                int y = 1;
                int z = y/x; // Invalid operation.
            }

            // 'catch' block handles error and
            // provides information about the error.
            catch (Exception e) {
                LogError(e);
                Console.WriteLine("Error logged to file.");
            }
            Console.ReadLine();
        }

        public static void LogError(Exception e) {
            const string FILE_NAME = "log.txt";
            const bool APPEND = true;
            string filePath = "../../" + FILE_NAME;

            // Create writer and append to file.
            StreamWriter sw = new StreamWriter(filePath, APPEND);

            // Show output.
            sw.WriteLine(e.StackTrace);
            sw.WriteLine(e.Message);
            sw.Close();
        }
    }
}
