/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        private enum Islands {
            Hawaii, Maui, Oahu } // Define enumeration.

        public static void Main() {
            // Store Island names in array and get enumerator count.
            string[] islandNames = Enum.GetNames(typeof (Islands));
            int      islandCount = islandNames.Length;

            // Part A: Assigning array size in the declaration.
            string[] name = new string[islandCount];
            name[(int) Islands.Hawaii] = "Hawaii";
            name[(int) Islands.Maui]   = "Maui";
            name[(int) Islands.Oahu]   = "Oahu";

            // Part B: Assigning array size later in the program.
            int[] population;
            population                       = new int[islandCount];
            population[(int) Islands.Hawaii] = 187200;
            population[(int) Islands.Maui]   = 145000;
            population[(int) Islands.Oahu]   = 955000;

            // Part C: Initializing the array and size in the declaration.
            float[] squareMiles = new float[] {4028.0f, 727.2f, 596.7f};
            int          island = (int) Islands.Maui;
            Console.WriteLine("* Statistics for " + name[island] + " *");
            Console.WriteLine("Population: " + population[island]);
            Console.WriteLine("Square miles: " + squareMiles[island]);
            Console.ReadLine();
        }
    }
}
