/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Security.Cryptography;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            // Create byte array.
            const int TOTAL_BYTES = 4;
            byte[]      byteArray = new byte[TOTAL_BYTES];

            // Generate Cryptography class object.
            RNGCryptoServiceProvider crypto = new
                RNGCryptoServiceProvider();

            // Generate a random byte array and store it.
            crypto.GetBytes(byteArray);

            // Convert the byte array to an integer.
            int seed = BitConverter.ToInt32(byteArray, 0);

            // Display the seed.
            Console.WriteLine("Seed value: " + seed);

            // Generate a random object with the random seed.
            Random random = new Random(seed);

            // Generate a random number between 1 and 99.
            const int     MIN = 1;
            const int     MAX = 100;
            int randomInteger = random.Next(MIN, MAX);
            Console.WriteLine("Random integer between 1 and 99: "
                              + randomInteger);
            Console.ReadLine();
        }
    }
}
