/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private const int FIRST_PRICE = 0;

        private static void Main() {
            decimal[] prices = {9.99m};
            ShowPrices(prices);
            AddTax(prices[FIRST_PRICE]); // Pass by value.
            ShowPrices(prices);          // Pass by reference.
            Inflate(prices);             // Pass by reference.
            ShowPrices(prices);          // Pass by reference.
            Console.ReadLine();
        }

        // Receives argument by reference.
        private static void ShowPrices(decimal[] price) {
            Console.WriteLine("Value in calling method: "
                              + price[FIRST_PRICE].ToString("C"));
        }

        // Receives argument by value.
        private static void AddTax(decimal price) {
            const decimal TAX_RATE = 1.07m;
            price *= TAX_RATE;
            Console.WriteLine("After tax: " + price.ToString("C"));
        }

        // Receives argument by reference.
        private static void Inflate(decimal[] prices) {
            const decimal INFLATION_RATE = 1.01m;
            prices[FIRST_PRICE] *= INFLATION_RATE;
            Console.WriteLine("After inflation: "
                              + prices[FIRST_PRICE].ToString("C"));
        }
    }
}
