/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static Random    rnd = new Random();
        private const int   CARD_MIN = 1, CARD_MAX = 11;
        private const int HOLD_LIMIT = 14;
        private const int TWENTY_ONE = 21;

        private static void Main() {
            int total = 0;
            while (total < TWENTY_ONE) {              // Loop while total < 21.
                // Generate new random card.
                int newCard = rnd.Next(CARD_MIN,      // Inclusive lower bound.
                                       CARD_MAX + 1); // Exclusive upper bound.
                Console.WriteLine("Card number: " + newCard);
                total += newCard;
                
                // Keep getting cards as long as total is less than 14.
                if (total < HOLD_LIMIT)
                    continue; // Skip other instructions and go to top of loop.

                if (total == TWENTY_ONE)              // Total equals 21 so user wins.
                    Console.Write("You win! ");      
                                                     
                else if (total > TWENTY_ONE)          // Total is over 21 so user loses.
                    Console.Write("You lose! ");

                Console.WriteLine("Your score is " + total + ".");
                break;
            }
            Console.ReadLine();
        }
    }
}
