/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Text.RegularExpressions;

namespace Starter {
    class Program {
        public static void Main() {
            const string PATTERN =
                @"^(\([0-9]{3}\)\s?" + // (999) + optional white single space
                @"|" +                 // OR
                @"[0-9]{3}[-\.\s]?)" + // 999 + optional hyphen, dot, or blank

                                       // Followed by
                @"[0-9]{3}" +          // 999
                @"[-\.\s]?" +          // optional hyphen, dot, or blank space
                @"[0-9]{4}$";          // 9999

            // These phone numbers are validated with the pattern above:
            // (201) 867-5309, 201.867.5309, 2018675309, (201)867-5309
            const string INPUT = "(201) 867-5309";
            Regex          reg = new Regex(PATTERN);
            Console.WriteLine("Pattern: " + PATTERN);

            if (reg.IsMatch(INPUT))
                Console.WriteLine("PASS: " + INPUT);
            else
                Console.WriteLine("FAIL: " + INPUT);
            Console.ReadLine();
        }
    }
}
