/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            DateTime birthday = new DateTime(1511, 6, 18);

            // Declare and initialize a Person object.
            Person     person = new Person("Bartolomeo", "Ammannati", birthday);
            Console.Write(person.FullName + " ");
            Console.WriteLine(birthday.ToString("yyyy/MM/dd"));
            Console.ReadLine(); // user must press 'Exit' to quit.
        }
    }

    class Person {
        // This property is available to the object for reads but not for writes.
        public DateTime Birthday { get; private set; }

        // These properties are not readable or writable outside the class.
        private string FirstName { get; set; }
        private string LastName  { get; set; }

        // This property has read-only access and is publicly accessible.
        public string FullName {
            get { return FirstName + " " + LastName; }
        }

        public Person(string firstName, string lastName, DateTime birthday) {
            FirstName = firstName;
            LastName  = lastName;
            Birthday  = birthday;
        }
    }
}
