/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    struct BankAccount {
        // Struct properties are immutable so we don't create set methods.
        private string name;

        public string Name {
            get { return name; }
        }

        private float balance;

        public float Balance {
            get { return balance; }
        }

        // struct constructor
        public BankAccount(string name, float balance) {
            this.name    = name;
            this.balance = balance;
            this.AddMonthlyInterest();
        }

        // private struct method
        private void AddMonthlyInterest() {
            const float INTEREST_RATE = 0.056f;
            const float    NUM_MONTHS = 12.0f;
            balance *= (1.0f + INTEREST_RATE/NUM_MONTHS);
        }

        public void ShowDetail(string title) {
            Console.WriteLine("** " + title + " **");
            Console.WriteLine("Name: " + Name);
            Console.WriteLine("Balance: " + Balance.ToString("C") + "\n");
        }
    }

    class Program {
        public static void Main() {
            // Initialize account.
            const string   NAME = "Cross Rail - Canary Wharf";
            const float BALANCE = 25900000000f;
            BankAccount account = new BankAccount(NAME, BALANCE);
            account.ShowDetail("Account after interest");
            Console.ReadLine();
        }
    }
}
