using System;
using Acme.Facility; // Reference the Facility namespace
using Acme.Team;     // Reference the Team namespace

namespace Acme {
    class Budget {
        private static void Main() {
            const decimal MONTHLY_RENT  = 100000m;
            const decimal MONTHLY_WAGES = 24000m;
            const decimal SUPPLIES      = 3000m;
            const float   RENT_RATIO    = 25.0f;

            // Declare and initialize a Facility.Cost object.
            Facility.Cost facilityMonthlyCost = new Facility.Cost(MONTHLY_RENT);

            // Declare and initialize a Department object.
            Department dept = new Department("Sales", RENT_RATIO);

            // Declare and initialize a Team.Cost object.
            Team.Cost deptMonthlyCost = new Team.Cost(MONTHLY_WAGES, SUPPLIES);
            ShowMonthlyCosts(facilityMonthlyCost, dept, deptMonthlyCost);
            Console.ReadLine();
        }

        private static void ShowMonthlyCosts(Facility.Cost facilityCost,
            Department dept,
            Team.Cost departmentCost) {
            Console.WriteLine("Department Monthly Charges: " + dept.Name);
            decimal monthlyCharge = ((decimal) dept.RentPercentage/100m) * facilityCost.MonthlyRent;
            Console.WriteLine("building charges: " + monthlyCharge.ToString("C"));
            Console.WriteLine("           wages: " + departmentCost.MonthlyWages.ToString("C"));
            Console.WriteLine("        supplies: " + departmentCost.MonthlySupplies.ToString("C"));
        }
    }
}
