/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            const decimal OPENING_BALANCE  = 55m;
            const decimal MONTHLY_INTEREST = 0.0033m;

            // Create and use Savings object.
            Savings savings = new Savings(OPENING_BALANCE);
            savings.AddMonthlyInterest(MONTHLY_INTEREST);
            savings.ShowBalance();

            // Create and use Checking object.
            Checking checking = new Checking(OPENING_BALANCE);
            checking.DeductServiceCharge();
            checking.ShowBalance();
            Console.ReadLine();
        }
    }

    class Account {
        // Base class - Account
        protected decimal BankBalance { set; get; }

        protected Account() {
            Console.WriteLine();
            Console.WriteLine("Inside the Account constructor.");
        }

        public void ShowBalance() {
            Console.WriteLine("The balance is " +
                              BankBalance.ToString("C"));
        }
    }

    class Savings : Account {
        // Derived class - Savings
        public Savings(decimal balance) {
            Console.WriteLine("Inside the Savings constructor.");
            BankBalance = balance;
        }

        // Custom child method.
        public void AddMonthlyInterest(decimal interest) {
            BankBalance *= (1.0m + interest);
        }
    }

    class Checking : Account {
        // Derived class – Checking
        public Checking(decimal balance) {
            Console.WriteLine("Inside the Checking constructor.");
            BankBalance = balance;
        }

        // Custom child method.
        public void DeductServiceCharge() {
            const decimal CHECKING_FEE = 1.50m;
            BankBalance -= CHECKING_FEE;
        }
    }
}
