/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            Charity        unicef = new Charity("Unicef"); // Charity 1
            const string TAX_CODE = "TAX-FREE GIVING";     // Charity 2
            Charity unitedWay     = new Charity("United Way", TAX_CODE);
            Console.ReadLine();
        }
    }

    public class Organization {
        // These properties can't be accessed outside the base class.
        private string Name    { get; set; }
        private string TaxCode { get; set; }

        // Base class constructor.
        public Organization(string name, string taxCode) {
            Name    = name;
            TaxCode = taxCode;
            Console.WriteLine("* Base constructor *");
        }

        // This protected method can only be accessed from child classes.
        protected void ShowOrganizationInfo() {
            Console.WriteLine("Organization Name: " + Name);
            Console.WriteLine("Tax code: " + TaxCode);
            Console.WriteLine();
        }
    }

    public class Charity : Organization {
        private const string TAXATION_CODE = "Unassigned";
        // Calls base constructor with 1 child constructor parameter
        // and 1 constant.
        public Charity(string name) : base(name, TAXATION_CODE) {
            Console.WriteLine("* Child Constructor A *");
            ShowOrganizationInfo();
        }

        // Calls base constructor with both child constructor parameters.
        public Charity(string name, string taxCode) : base(name, taxCode) {
            Console.WriteLine("* Child Constructor B *");
            ShowOrganizationInfo();
        }
    }
}
