/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            const decimal OPENING_BALANCE = 55m;
            Savings savings   = new Savings(OPENING_BALANCE);
            savings.ShowStartBalance();
            Checking checking = new Checking(OPENING_BALANCE);
            checking.ShowStartBalance();
            Console.ReadLine();
        }
    }

    class Account {
        // Base class - Account
        protected virtual decimal StartBalance { get; set; }
        protected string AccountType { get; set; }

        protected Account() {
        }

        public virtual void ShowStartBalance() {
            Console.WriteLine(AccountType + " balance is {0}",
                StartBalance.ToString("C"));
        }
    }

    class Savings : Account {
        // Derived class - Savings
        public Savings(decimal balance) {
            const string ACCOUNT_TYPE = "Savings";
            AccountType               = ACCOUNT_TYPE;
            StartBalance              = balance;
        }
    }

    class Checking : Account {
        // Derived class – Checking
        protected override decimal StartBalance {
            set {
                const decimal START_FEE = 10.40m;
                base.StartBalance = value - START_FEE;
            }
        }

        public Checking(decimal balance) {
            const string ACCOUNT_TYPE = "Checking";
            AccountType = ACCOUNT_TYPE;
            StartBalance = balance;
        }

        public override void ShowStartBalance() {
            base.ShowStartBalance();
        }
    }
}
