/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            ShipOrder cambridge, hampshire;
            cambridge = new FedEx(23.3f, "Lobster", "477 Cambridge St.");
            cambridge.ShowOrder();
            hampshire = new Purolator(54.54f, "Brie cheese", "92 Hampshire St.");
            hampshire.ShowOrder();
            Console.ReadLine();
        }
    }

    class ShipOrder {
        public float WeightInPounds { get; private set; }
        public string Description   { get; private set; }
        public string Destination   { get; private set; }
        public DateTime Created     { get; private set; }
        public decimal Charge       { get; protected set; }
        public string Carrier       { get; protected set; }

        public ShipOrder(float weight, string description,
            string destination, string carrier) {
            Created        = DateTime.Now;
            WeightInPounds = weight;
            Description    = description;
            Destination    = destination;
            Carrier        = carrier;
        }

        public void ShowOrder() {
            Console.WriteLine("Order Date:  " + Created.ToString("m"));
            Console.WriteLine("Carrier:     " + Carrier);
            Console.WriteLine("Detail:      " + Description + " "
                              + WeightInPounds.ToString("N2") + " lbs");
            Console.WriteLine("Destination: " + Destination);
            Console.WriteLine("Charge:      " + Charge.ToString("C") + "\n");
        }
    }

    class FedEx : ShipOrder {
        public FedEx(float weight, string description, string destination)
            : base(weight, description, destination, "FedEx") {
            const decimal CHARGE_RATE = 0.53m;
            Charge = CHARGE_RATE*(decimal) weight;
        }
    }

    class Purolator : ShipOrder {
        public Purolator(float weight, string description, string destination)
            : base(weight, description, destination, "Purolator") {
            const decimal CHARGE_RATE = 0.40m;
            const decimal BASE_FEE   = 12.50m;
            Charge = BASE_FEE + CHARGE_RATE*(decimal) weight;
        }
    }
}
