/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    public class Program {
        public static void Main() {
            Employee employee = new Employee();
            employee.ShowTitle();
            SalesRep salesRep = new SalesRep();
            salesRep.ShowTitle();
            Console.ReadLine();
        }
    }

    public abstract class Person {
        public abstract string Title { get; protected set; }
        public abstract void ShowTitle();
    }

    public class Employee : Person {
        // Prevent further derivation of property.
        public override sealed string Title { get; protected set; }

        public Employee() {
            const string TITLE = "Unassigned";
                         Title = TITLE;
        }

        // Prevent further derivation of method.
        public override sealed void ShowTitle() {
            Console.WriteLine("Employee Title: " + Title);
        }
    }

    // Prevent further derivation of class.
    public sealed class SalesRep : Employee {
        public SalesRep() {
            Title = "Sales Representative";
        }
    }
}
