/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;

namespace Starter {
    public class Program {
        public static void Main() {
            // Build a List of Account family objects with polymorphism.
            List<Account> accounts = new List<Account>();
            accounts.Add(new Checking());
            accounts.Add(new Savings());

            // Display the Account family object values.
            for (int i = 0; i < accounts.Count; i++)
                accounts[i].DisplayDetail();
            Console.ReadLine();
        }
    }

    // Create the Account base class.
    public abstract class Account {
        public abstract void DisplayDetail();
    }

    // Create a child of the Account class.
    public class Checking : Account {
        public override void DisplayDetail() {
            Console.WriteLine("This is a Checking object.");
        }
    }

    // Create a child of the Account class.
    public class Savings : Account {
        public override void DisplayDetail() {
            Console.WriteLine("This is a Savings object.");
        }
    }
}
