/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;

namespace Starter {
    class Program {
        public static void Main() {
            Dictionary<char, string> certifications = new Dictionary<char, string>();
            certifications.Add('P', "Passenger transport");
            certifications.Add('H', "Hazardous materials");
            certifications.Add('N', "Tank vehicles (Liquids in bulk)");
            certifications.Add('T', "Double/Triple trailers");
            ShowCertifications(certifications);

            // Search for certification by key and confirm.
            if (certifications.ContainsKey('P'))
                Console.WriteLine("Has certification 'P'.");

            // Check certification for a specific value and confirm.
            if (certifications.ContainsValue("Double/Triple trailers"))
                Console.WriteLine("Has certification 'T'.");

            // Remove certification 'T' by key.
            certifications.Remove('T');
            if (!certifications.ContainsValue("Double/Triple trailers"))
                Console.WriteLine("No longer has certification 'T'.");

            // Remove all certifications.
            certifications.Clear();
            if (certifications.Count == 0)
                Console.WriteLine("All certifications removed.");
            Console.ReadLine();
        }

        private static void ShowCertifications(Dictionary<char, string> certifications) {
            foreach (KeyValuePair<char, string> cert in certifications)
                Console.WriteLine("Key: " + cert.Key + " Value: " + cert.Value);
            Console.WriteLine();
        }
    }
}
