/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections;

namespace Starter {
    class Program {
        public static void Main() {
            Hashtable grades = new Hashtable(); // Add letter and number grades.
            grades.Add("C#", "A");
            grades.Add("Java", 74.0f);
            grades.Add("ASP.NET", "A");
            DisplayAllValues(grades);
            if (grades.ContainsKey("C#"))      // Check for object by key.
                Console.WriteLine("A C# Course Exists");

            if (grades.ContainsValue(74.0f))   // Check for object by value.
                Console.WriteLine("A course has a grade that is 74.0f");
            grades.Remove("Java");             // Remove object by key.

            if (!grades.Contains("Java"))
                Console.WriteLine("The Java course no longer exists");
            grades.Clear();                    // Clear all grades.

            DisplayAllValues(grades);
            Console.ReadLine();
        }

        private static void DisplayAllValues(Hashtable ht) {
            foreach (DictionaryEntry item in ht) {
                // Follow instructions if key is a string.
                if (item.Key.GetType() == typeof (string)) {

                    // If value is letter grade show it.
                    if (item.Value.GetType() == typeof (string))
                        ShowGrade((string) item.Key, (string) item.Value);

                    // If value is a float convert it to a letter grade.
                    else if (item.Value.GetType() == typeof (float)) {
                        float grade = (float) item.Value;
                        string letterGrade = "F";

                        if (grade >= 80.0f)
                            letterGrade = "A";
                        else if (grade >= 70.0f)
                            letterGrade = "B";
                        ShowGrade((string) item.Key, letterGrade);
                    }
                }
            }
            Console.WriteLine();
        }

        private static void ShowGrade(string course, string grade) {
            Console.WriteLine("Course: " + course + " Grade: " + grade);
        }
    }
}
