/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            Employee employee = new Employee("Treele", "Grumbus");
            Console.Write("Full Name: ");
            Console.WriteLine(employee.GetFullName());
            Console.ReadLine();
        }
    }

    // Declare interface.
    internal interface IPerson {
        string LastName  { get; } // Required properties.
        string FirstName { get; }
        string GetFullName();     // Required method.
    }

    // Declare a class that implements the IPerson interface.
    class Employee : IPerson {
        public string LastName  { get; private set; } // Implement properties.
        public string FirstName { get; private set; }

        public string GetFullName() {
            // Implement method.
            return FirstName + " " + LastName;
        }

        public Employee(string lastName, string firstName) {
            LastName  = lastName;
            FirstName = firstName;
        }
    }
}
