/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            Staff staff = new Staff(1, "Paolo", "Morselli");
            staff.DisplayEmployeeData();
            Console.ReadLine();
        }
    }

    internal interface IPerson {
        // IPerson is at the top of the hierarchy.
        string FirstName { get; set; }
        string LastName  { get; set; }
    }

    internal interface IEmployee : IPerson {
        // IEmployee extends IPerson.
        int EmployeeID   { get; set; }
        void DisplayEmployeeData();
    }

    class Staff : IEmployee {
        // This class implements IEmployee.
        public string FirstName { get; set; }
        public string LastName  { get; set; }
        public int EmployeeID   { get; set; }

        public Staff(int id, string firstName, string lastName) {
            FirstName  = firstName;
            LastName   = lastName;
            EmployeeID = id;
        }

        public void DisplayEmployeeData() {
            Console.WriteLine(EmployeeID + ": " + FirstName + " " + LastName);
        }
    }
}
