/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;

namespace Starter {
    class Program {
        public static void Main() {
            Inspection<float> airTest = new Inspection<float>();
            airTest.Items.Add(290.0f);
            airTest.Items.Add(287.0f);
            Console.WriteLine("Sample Date: " + airTest.Time.ToString("m")
                                       + ", " + airTest.Time.ToString("T"));
            foreach (float sample in airTest.Items)
                Console.WriteLine(sample + " parts per million.");
            Console.ReadLine();
        }
    }

    internal interface IInspection<T> {
        DateTime Time { get; set; }
        List<T> Items { get; set; }
    }

    class Inspection<T> : IInspection<T> {
        public DateTime Time { get; set; }
        public List<T> Items { get; set; }

        public Inspection() {
            Time  = DateTime.Now;
            Items = new List<T>();
        }
    }
}
