/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;

namespace Starter {
    class Program {
        public static void Main() {
            Inspection<float> airTest = new Inspection<float>();
            airTest.Add(290.0f);
            airTest.Add(287.0f);
            Console.WriteLine("Sample Date: " + airTest.Time.ToString("f"));

            foreach (float sample in airTest.Items)
                Console.WriteLine(sample + " parts per million.");
            Console.ReadLine();
        }
    }

    class Inspection<T> {
        public DateTime Time { get; set; }     // Properties

        public IReadOnlyCollection<T> Items {
            get { return items.AsReadOnly(); }
        }

        private List<T> items = new List<T>(); // Private data members

        public Inspection() {
            // Constructor
            Time = DateTime.Now;
        }

        public void Add(T item) {
            // Methods
            items.Add(item);
        }
    }
}
