/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;

namespace Starter {
    // Implement the generic IComparable<T> interface.
    class Product : IComparable<Product> {
        public string Name   { get; private set; }
        public decimal Price { get; private set; }

        public Product(string produceName, decimal itemPrice) {
            Name = produceName;
            Price = itemPrice;
        }

        // This method is required by the IComparable<T> interface.
        public int CompareTo(Product product) {
            return Name.CompareTo(product.Name); // Sort by Name property.
        }
    }

    class Program {
        public static void Main() {
            List<Product> products = new List<Product>();
            products.Add(new Product("carrots", 0.48m));
            products.Add(new Product("apples",  0.98m));
            products.Add(new Product("bananas", 0.88m));
            products.Add(new Product("dates",   0.53m));
            ShowProducts("Before sorting:",     products);
            products.Sort(); // Apply the Sort() method of the List class.
            ShowProducts("After sorting:", products);
            Console.ReadLine();
        }

        private static void ShowProducts(string caption, List<Product> products) {
            Console.WriteLine(caption);
            foreach (Product product in products) {
                Console.Write(" Product: " + product.Name + " ");
                Console.WriteLine("Price: " + product.Price.ToString("C"));
            }
            Console.WriteLine();
        }
    }
}
