/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            string[]     productTypes = {"Cookie Dough", "Cake Mix"};
            var query = from p in context.Products
                        where productTypes.Contains(p.name)      // Find array match.
                        select p;

            foreach (Product product in query) {                 // Show rows.
                decimal   price = (decimal) product.price;
                string priceStr = "$" + price.ToString("N2");
                Console.WriteLine(product.name + " - " + priceStr);
            }
            Console.ReadLine();
        }
    }
}
