/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var query = from p in context.Products
                        where p.price > 0.99m && p.price < 2.00m
                        orderby p.price descending               // Set order.
                        select p;

            foreach (Product product in query) {                 // Show results.
                decimal price = (decimal) product.price;
                Console.WriteLine(product.name + " - " + price.ToString("C"));
            }
            Console.ReadLine();
        }
    }
}
