/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var suppliers = from s in context.Suppliers          // Get suppliers.
                select new {Affiliate = s.vendor};
            var manufacturers = from m in context.Manufacturers  // Get manufacturers.
                select new {Affiliate = m.mfg};

            var affiliates = manufacturers.Union(suppliers);     // Union queries.
            foreach (var row in affiliates)                      // Show results.
                Console.WriteLine(row.Affiliate);
            Console.ReadLine();
        }
    }
}
