/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var vendorCounts = from   p in context.Products
                               group  p by p.mfg
                               into   summary
                               where  summary.Count() > 1        // Filter the groups.
                               select new {                      // Define columns.
                                   Manufacturer = summary.Key,   // Set Key to group.
                                   ProductCount = summary.Count()
                               };                                // Get count per group.

            foreach (var item in vendorCounts)                   // Show count per group.
                Console.WriteLine(item.Manufacturer + ": " + item.ProductCount);
            Console.ReadLine();
        }
    }
}
