/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            try {
                Product product   = new Product();               // Create Product.
                product.productID = 6;                           // Initialize Product.
                product.price     = 3.33m;
                product.name      = "French Fries";
                product.mfg       = "McCain";
                product.vendor    = "GFS";
                context.Products.Add(product);                   // Add Product.
                context.SaveChanges();                           // Commit changes.
            }
            catch (Exception e) {
                Console.WriteLine(e.Message                      // Inform user if data is not added.
              + " Product objects with duplicate productID values are not permitted.");
            }

            var productList = context.Products.ToList();         // Show Products.
            foreach (Product item in productList)
                Console.WriteLine("ID: " + item.productID + " - " + item.name);
            Console.ReadLine();
        }
    }
}
