/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            Product product = (from   p in context.Products      // Get fries object.
                               where  p.name == "French Fries"
                               select p).FirstOrDefault();
            if (product != null) {
                product.price = 4.88m;                           // Update price.
                context.SaveChanges();                           // Save to database.
            }
            foreach (Product row in context.Products) {          // Show results.
                decimal price = (decimal) row.price;
                Console.WriteLine(row.name + " " + price.ToString("C"));
            }
            Console.ReadLine();
        }
    }
}
