/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities db = new FoodStoreEntities();        // Reference database.

            // Perform separate queries with identically named columns.
            var        suppliers = db.Suppliers.Select(s => new {Affiliate = s.vendor});
            var    manufacturers = db.Manufacturers.Select(m => new {Affiliate = m.mfg});
            var            query = suppliers.Union(manufacturers); // Combine queries.

            foreach (var item in query)                            // Show results.
                Console.WriteLine(item.Affiliate);
            Console.ReadLine();
        }
    }
}
