/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var                 query = context.ProductInvoiceWithQuantities
                .GroupBy(product => product.productID)           // Set grouping key.
                .Select(p => new {
                        ProductID = p.Key,                       // Query columns.
                          QtySold = p.Sum(prod => prod.quantity) });

            foreach (var row in query) {                         // Show results.
                Console.Write(     "Product:" + row.ProductID + " ");
                Console.WriteLine("Qty Sold:" + row.QtySold);
            }
            Console.ReadLine();
        }
    }
}
