/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var                 query = context.Products
                .GroupBy(  p => new {p.vendor, p.mfg},           // Set grouping columns.
                    (key, p) =>                                  // Define key.
                        new {  Vendor = key.vendor,              // Assign query columns.
                               Mfg    = key.mfg,
                               Count  = p.Count() });

            foreach (var row in query) // Show results.
                Console.WriteLine("Vendor:" + row.Vendor
                                  + " Manufacturer:" + row.Mfg + " Count:" + row.Count);
            Console.ReadLine();
        }
    }
}
