/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities();   // Reference database.
            var                 query = from s in context.Stores   // Query Stores.
                                        from i in context.Invoices // Query Invoices.
                                        where s.branch == i.branch // Join using the keys.
            select new {s.branch, s.region, i.invoiceNum};

            foreach (var row in query)                             // Display results.
                Console.WriteLine(row.branch + " - " + row.region + " - "
                                + row.invoiceNum);
            Console.ReadLine();
        }
    }
}
