/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities();
            var query = context.Stores.Join(  // Outer DbSet.
                        context.Invoices,     // Inner DbSet.
                             s => s.branch,   // Join columns.
                             i => i.branch,
                        (s, i) => new {s, i}) // Entity references.

                 // 'si' is the combined Stores and Invoices DbSet from Join().
                .Where( si => si.s.branch == "Vancouver") // Apply filter.
                .Select(si => new {
                        Branch = si.s.branch, // Define query columns.
                        Region = si.s.region,
                    InvoiceNum = si.i.invoiceNum
                });
            foreach (var item in query)
                Console.WriteLine("Invoice " + item.InvoiceNum.ToString() + ": "
                                + item.Branch + ", " + item.Region);
            Console.ReadLine();
        }
    }
}
