/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var query = from i in context.Invoices   
                        where i.branch != null                   // Invoice belongs to only 1 Store.

                        // Ensure join column is not null.
                        // Get data from Invoice object and 'Store' navigation property.
                        select new {i.branch, i.Store.region, i.invoiceNum};

                        foreach (var item in query)              // Show results.
                            Console.WriteLine(item.branch + " - " + item.region + " - "
                                            + item.invoiceNum);
            Console.ReadLine();
        }
    }
}
