/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var                 query = context.Invoices         // Invoice has 0..1 matching Store.
                .Where(      i => i.branch != null)              // Ensure join column isn't null.
                .Select(result => new                            // Define query columns.
                {result.branch, result.Store.region, result.invoiceNum});

            foreach (var item in query)                          // Show results.
                Console.WriteLine(item.branch + " - " + item.region + " - "
                                + item.invoiceNum);
            Console.ReadLine();
        }
    }
}
