/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities db = new FoodStoreEntities(); // Reference database.
            var query = from s in db.Stores                 // Identify entities.
                        from b in db.Buildings
                        where s.building_name == b.building_name // Join on key columns.
                           && s.unit_num == b.unit_num
                select new {                                // Set selected columns.
                    Branch       = s.branch,
                    Region       = s.region,
                    BuildingName = b.building_name,
                    UnitNum      = b.unit_num,
                    Capacity     = b.capacity };

            foreach (var row in query) {                    // Show results.
                Console.WriteLine("Branch: "     + row.Branch
                                + ", "           + row.Region);
                Console.WriteLine("Building: "   + row.BuildingName
                                + ", unit #"     + row.UnitNum
                                + ", capacity: " + row.Capacity);
                Console.WriteLine();
            }
            Console.ReadLine();
        }
    }
}
