/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities db = new FoodStoreEntities(); // Reference database.
            var query = db.Stores
                .SelectMany(s =>                     // Get Stores
                    db.Buildings.Where(b =>          // and Buildings where match exists.
                        s.building_name == b.building_name
                          && s.unit_num == b.unit_num)
                        .Select(bldgSubset =>        // Reference matching Buildings.
                            new {
                                Branch   = s.branch, // Set selected columns.
                                BuildingName = s.building_name,
                                UnitNum  = s.unit_num,
                                Region   = s.region,
                                Capacity = bldgSubset.capacity }));

            foreach (var row in query) {             // Show results.
                Console.WriteLine("Branch: "       + row.Branch + ", " + row.Region);
                Console.WriteLine("Building: "     + row.BuildingName
                                  + ", unit #"     + row.UnitNum
                                  + ", capacity: " + row.Capacity + "\n");
            }
            Console.ReadLine();
        }
    }
}
