/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities db = new FoodStoreEntities();           // Reference database.
            var query = db.Stores.Where(s => s.building_name != null  // Join columns
                                               && s.unit_num != null) // cannot be null.
                .Select(s => new {                                    // Define selected columns.
                    Branch       = s.branch,
                    Region       = s.region,
                    BuildingName = s.building_name,
                    UnitNum      = s.Building.unit_num,               // Uses 'Building' navigation
                    Capacity     = s.Building.capacity });            // property of the 'Store' DbSet.
            foreach (var row in query) {                              // Show results.
                Console.WriteLine("Branch: " + row.Branch + ", " + row.Region);
                Console.WriteLine("Building: " + row.BuildingName + ", unit #" + row.UnitNum
                                + ", capacity: " + row.Capacity + "\n");
            }
            Console.ReadLine();
        }
    }
}
