/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities();       // Reference database.
            var query = from s in context.Stores
                // Get rows from left table.
                from i in context.Invoices                             // Get rows from right table.
                                 .Where(inv => inv.branch == s.branch) // Join columns.
                                 .DefaultIfEmpty()

                // Return null invoice values if invoice does not exist for Store.
                select new {
                    Branch     = s.branch,
                    Region     = s.region,
                    // Store invoiceNum value if it exists otherwise assign 0.
                    InvoiceNum = (i.invoiceNum != null) ? i.invoiceNum : 0
                };
            foreach (var item in query) // Show results.
                Console.WriteLine(item.Branch + " - "
                                + item.Region + " - " + item.InvoiceNum);
            Console.ReadLine();
        }
    }
}
