/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var query = from i in context.Invoices               // Outer table.
                        from s in context.Stores                 // Inner table.
                       .Where(store => store.branch == i.branch) // Join columns.
                       .DefaultIfEmpty()

                // Set null for inner table if no match.
                select new {
                    // If values exist show them, otherwise assign "null".
                    Branch     = (s.branch != null) ? s.branch : "null",
                    Region     = (s.region != null) ? s.region : "null",
                    InvoiceNum = i.invoiceNum };

            foreach (var item in query)                          // Display results.
                Console.WriteLine(item.Branch + " - " + item.Region + " - "
                                + item.InvoiceNum);
            Console.ReadLine();
        }
    }
}
