/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            const int    ORANGE_JUICE = 3;
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var productQuantity =                                // First query.
                from p in context.Products                       // Entities.
                from i in context.ProductInvoiceWithQuantities
                where p.productID == ORANGE_JUICE &&             // Join column.
                      p.productID == i.productID                 // Join condition.
                select new {                                     // Chosen columns.
                    ProductID   = p.productID,
                    ProductName = p.name,
                    Mfg         = p.mfg,
                    Quantity    = i.quantity,
                    InvoiceNum  = i.invoiceNum };

            var productInvoice  =                                // Join first query and Invoices.
                from pq in productQuantity                       // First query result.
                from  i in context.Invoices                      // Invoices collection.
                where pq.InvoiceNum == i.invoiceNum              // Join column.
                select new {                                     // Chosen columns.
                    Branch      = i.branch,
                    ProductID   = pq.ProductID,
                    ProductName = pq.ProductName,
                    Mfg         = pq.Mfg,
                    Quantity    = pq.Quantity,
                    InvoiceNum  = pq.InvoiceNum };

            foreach (var item in productInvoice) {               // Show results.
                Console.WriteLine("Product ID: "   + item.ProductID);
                Console.WriteLine("Product Name: " + item.ProductName);
                Console.WriteLine("Quantity: "     + item.Quantity);
                Console.WriteLine("Store Branch: " + item.Branch + "\n");
            }
            Console.ReadLine();
        }
    }
}
