/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities db = new FoodStoreEntities(); // Reference database.
            var query = from p in db.Products
                from i in p.Invoices                        // Get Invoices via Products
                                                            // Navigation property.
                where p.name == "Cake Mix"                  // filter on 'Cake Mix'.

                select new { ProductID   = p.productID,     // from Product.
                             InvoiceNum  = i.invoiceNum,    // from Invoice.
                             Branch      = i.branch,        // from Invoice.
                             ProductName = p.name };        // from Product.

            foreach (var row in query) {                    // Show results.
                Console.Write(row.ProductID + ", " + row.InvoiceNum + ", ");
                Console.WriteLine(row.Branch + ", " + row.ProductName);
            }
            Console.ReadLine();
        }
    }
}
