/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            Product product = (from p in context.Products        // Get Product object.
                               where p.productID == 4
                               select p).FirstOrDefault();

            Invoice invoice = (from i in context.Invoices        // Get Invoice object.
                               where i.invoiceNum == 1004
                               select i).FirstOrDefault();
            try {   invoice.Products.Add(product);               // Add to bridge table.
                    context.SaveChanges();                       // Save to database.
            }
            catch (Exception e) {
                Console.WriteLine("Exception: " + e.Message
                                + " A duplicate entry may exist "
                                + "or invalid primary-foreign key relationships may exist.");
            }
            var query = from i in context.Invoices               // Show bridged data if
                where  i.invoiceNum == 1004
                select i;                                        // invoiceNum is 1004.
            foreach (var i in query)
                foreach (var p in i.Products)
                    Console.WriteLine("invoiceNum: " + i.invoiceNum + " " +
                                      "productID: " + p.productID);
            Console.ReadLine();
        }
    }
}
