/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Data;

namespace Starter {
    class Program {
        private enum JobTitle { admin = 0, manager, staff };

        public static void Main() {
           // Define table.
            DataTable dt = new DataTable();
            dt.Columns.Add("ID", typeof (int));
            dt.Columns.Add("Title");
            dt.Columns.Add("Salary", typeof (decimal));

            // Add rows containing data.
            dt.Rows.Add(JobTitle.manager, "Manager", 65000m);
            dt.Rows.Add(JobTitle.staff, "Staff", 45000m);

            // Show table contents.
            ShowTableUsingForEeach(dt);
            ShowTableUsingNumericIndex(dt);
            ShowTableWithNamedReference(dt);
            Console.ReadLine();
        }

        // Shows table data with named reference to each column.
        private static void ShowTableWithNamedReference(DataTable dt) {
            const string ID = "ID", TITLE = "Title";
            const string SALARY = "Salary";
            foreach (DataRow row in dt.Rows) {
                Console.Write(row[ID] + " ");
                Console.Write(row[TITLE] + " ");
                Console.WriteLine(row[SALARY]);
            }
        }

        // Shows data in a nested foreach loop for DataRow and DataColumn.
        private static void ShowTableUsingForEeach(DataTable dt) {
            foreach (DataRow row in dt.Rows) {
                foreach (DataColumn col in dt.Columns)
                    Console.Write(row[col] + " ");
                Console.WriteLine();
            }
            Console.WriteLine();
        }

        // Uses a numeric index to show all column values in each row.
        private static void ShowTableUsingNumericIndex(DataTable dt) {
            for (int row = 0; row < dt.Rows.Count; row++) {
                for (int col = 0; col < dt.Columns.Count; col++)
                    Console.Write(dt.Rows[row][col] + " ");
                Console.WriteLine();
            }
            Console.WriteLine();
        }
    }
}
