using System;
using System.Data;

namespace Starter.DataAccessLayer {
    class DBCommands {
        // Execute a stored procedure that has no parameters.
        public static DataTable SpGetAllProducts() {
            return DBEngine.ExecParameterlessProcedure(
                "spGetAllProducts");
        }

        // Execute a stored procedure that has parameters.
        public static DataTable SpProductDetail(string name,
            string vendor) {
            string[] parameterNames = {"@name", "@vendor"};
            string[] parameterValues = {name, vendor};
            return DBEngine.ExecProcedure("spProductDetail",
                parameterNames, parameterValues);
        }

        // Run raw SQL using a parameter.
        public static DataTable RunSQL(string sql) {
            return DBEngine.ExecSQL(sql);
        }
    }
}
