using System;
using System.Data;
using System.Data.SqlClient;

namespace Starter.DataAccessLayer {
    class ReaderCommands {
        public SqlDataReader Reader { get; private set; }
        private ReaderEngine readerEngine;

        public ReaderCommands() {
            readerEngine = new ReaderEngine();
        }

        // Execute procedure with no parameters.
        public void SpGetAllProducts() {
            Reader = readerEngine.ExecParameterlessProcedure("spGetAllProducts");
        }

       // Execute procedure with parameters.
        public void SpProductDetail(string name, string vendor) {
            const string        NAME = "spProductDetail";
            string[]  parameterNames = {"@name", "@vendor"};
            string[] parameterValues = {name, vendor};
            Reader = readerEngine.ExecProcedure(NAME, parameterNames,
                parameterValues);
        }

        // Run SQL only.
        public void RunSQL(string sql) {
            Reader = readerEngine.ExecSQL(sql);
        }

        public void CloseReaderAndConnection() {
            if (Reader != null)
                Reader.Close();
            if (readerEngine != null)
                readerEngine.CloseConnection();
        }
    }
}
