/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using Starter.DataAccessLayer;
using System.Data.SqlClient;

namespace Starter {
    class Program {
        public static void Main() {
            ReaderCommands rc;
            // Execute a stored procedure with no parameters.
            rc = new ReaderCommands();
            rc.SpGetAllProducts();
            ShowOutput(rc);

            // Execute a stored procedure with parameters.
            rc = new ReaderCommands();
            rc.SpProductDetail("Orange Juice", "GFS");
            ShowOutput(rc);

            // Execute SQL.
            rc = new ReaderCommands();
            rc.RunSQL("SELECT * FROM Product");
            ShowOutput(rc);
            Console.ReadLine();
        }

        private static void ShowOutput(ReaderCommands rc) {
            // Retrieve and display rows from database one-by-one.
            while (rc.Reader != null && rc.Reader.Read()) {
                // Reference database columns by name.
                int id = (int) rc.Reader["productID"];
                string  productName  = (string) rc.Reader["name"];
                string  manufacturer = (string) rc.Reader["mfg"];
                string  vendor       = (string) rc.Reader["vendor"];
                decimal price        = (decimal) rc.Reader["price"];
                Console.WriteLine(id + ", " + productName + ", "
                                     + manufacturer + ", " + vendor + ", "
                                     + price.ToString("C"));
            }
            rc.CloseReaderAndConnection();
            Console.WriteLine();
        }
    }
}
