/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.IO;

namespace Starter {
    class Program {
        public static void Main() {
            const string FILE_PATH = "../../Budget.csv";
            WriteToFile(FILE_PATH);   // File path and name is two
            Console.ReadLine();       // directories above the 'bin' folder.
        }

        private static void WriteToFile(string path) {
            const bool APPEND = true; // Create or add to existing file.
            try {                     // Create writer to add or append to a file.
                using (StreamWriter sw = new StreamWriter(path, !APPEND)) {
                    sw.WriteLine("Category, Transaction Amount, Balance");
                    sw.WriteLine("Food, 123.45, 220.98");
                    sw.WriteLine("Phone, 40.00, 180.98");
                }
            }
            catch (Exception e) {     // Show error detail if any.
                Console.WriteLine("Write error: " + e.Message);
            }
        }
    }
}
