/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.IO;

namespace Starter {
    class Program {
        public static void Main() {
            const string FILE_PATH = "../../Budget.csv";
            ReadFromFile(FILE_PATH); // File path and name is 2 directories
            Console.ReadLine();      // above the project 'bin' folder.
        }

        private static void ReadFromFile(string filePath) {
            try {
                using (StreamReader sr = new StreamReader(filePath)) {
                    while (!sr.EndOfStream) {                // If not at file end
                        string line       = sr.ReadLine();   // read a new line.
                        Console.WriteLine("Entire line: "
                                       + line);              // Show line.
                        string[] contents = line.Split(','); // Fill array.
                        Console.Write("Array values: ");
                        foreach (string data in contents)    // Show array.
                            Console.Write(data + " * ");
                        Console.WriteLine("\n");
                    }
                }
            }
            catch (Exception e) {
                // Show error detail if any.
                Console.WriteLine("Read error: " + e.Message);
            }
        }
    }
}
