/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.IO;

namespace Starter {
    class Program {
        private const string FILE_PATH = "../../MyBinaryFile.dat";

        public static void Main() {
            WriteOutput();
            DisplayInput();
            Console.ReadLine();
        }

        private static void WriteOutput() {
            try {
                // Create file and write to it with a BinaryWriter object.
                using (BinaryWriter writer
                    = new BinaryWriter(File.Open(FILE_PATH, FileMode.Create))) {
                    writer.Write(true);
                    writer.Write('A');
                    writer.Write(1.1m);
                    writer.Write(2.2);
                    writer.Write(3.3f);
                    writer.Write(4);
                    writer.Write("Hello");
                }
            }
            catch (Exception e) {
                Console.WriteLine(e.Message);
            }
        }

        private static void DisplayInput() {
            try {
                using (BinaryReader reader
                 = new BinaryReader(File.Open(FILE_PATH, FileMode.Open))) {
                    // Read known formats in a known order.
                    Console.WriteLine(reader.ReadBoolean());
                    Console.WriteLine(reader.ReadChar());
                    Console.WriteLine(reader.ReadDecimal());
                    Console.WriteLine(reader.ReadDouble());
                    Console.WriteLine(reader.ReadSingle());
                    Console.WriteLine(reader.ReadInt32());
                    Console.WriteLine(reader.ReadString());
                }
            }
            catch (Exception e) {
                Console.WriteLine(e.Message);
            }
        }
    }
}
