/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Linq;
using System.Xml.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            const string FILEPATH = "..\\..\\us_states.xml";    // Load file.
            XElement        root  = XElement.Load(FILEPATH);
            XElement        state = root.Elements("state")      // Get California.
                                 .Where(x => x.Element("name").Value == "California")
                                 .FirstOrDefault();
            Console.WriteLine("'region' attribute of state: "
                            + state.Attribute("region").Value); // Show region value.
            Console.WriteLine("'name' element of state: "
                            + state.Element("name").Value);     // Show state.
            Console.WriteLine("'abbreviation' attribute of name: "
                            + state.Element("name").Attribute("abbreviation")
                                   .Value);                     // Show state abbreviation.
            Console.WriteLine("'city' element:" +               // Show city.
                              " " + state.Element("capital").Element("city").Value);
            Console.ReadLine();
        }
    }
}
