/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Linq;
using System.Xml.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            // Load the file.
            const string FILE_PATH = @"..\\..\\us_states.xml";
            XElement          root = XElement.Load(FILE_PATH);
            XElement massachusetts =
                root.Elements("state")
                    .Where(n => n.Element("name").Value == "Massachusetts")
                    .FirstOrDefault();
            XElement florida =
                new XElement("state", new XAttribute("region", "East"),
                    new XElement("name", "Florida",
                        new XAttribute("abbreviation", "FL")),
                    new XElement("population", 19320000),
                    new XElement("capital",
                        new XElement("city", "Tallahassee"),
                        new XElement("population", 183900)));

            // Add new state element
            massachusetts.AddBeforeSelf(florida);
            Console.Write(root);  // Display the element.
            root.Save(FILE_PATH); // Commit changes.
            Console.ReadLine();
        }
    }
}
