/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Linq;
using System.Xml.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            // Load the file.
            const string FILE_PATH = @"..\\..\\us_states.xml";
            XElement          root = XElement.Load(FILE_PATH);
            const int   POPULATION = 19400000;

            // Get the 'state' element where abbreviation is 'FL'.
            var florida = root.Elements("state")
                .Where(s => s.Element("name").Attribute("abbreviation")
                .Value == "FL").FirstOrDefault();

            // Update value of the 'florida' element if it exists.
            if (florida != null) {
                florida.Element("population").SetValue(POPULATION);
                florida.Element("name").Attribute("abbreviation")
                                       .SetValue("Fla.");
                root.Save(FILE_PATH); // Commit the changes.
                Console.WriteLine(florida);
            }
            Console.ReadLine();
        }
    }
}
