/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Xml;
using System.Xml.Serialization;
using System.IO;
using System.Xml.Linq;

namespace Starter {
    public class Employee {
        [XmlElement("firstName")]
        public string FirstName { get; set; }

        [XmlAttribute("id")]
        public int           ID { get; set; }

        public Employee() {
        }
        public Employee(string firstName, int id) {
            FirstName = firstName;
            ID        = id;
        }
    }

    public class Program {
        public static void Main() {
            // Convert Employee data object to StringWriter object.
            Employee         employee = new Employee("Arshad", 53);
            StringWriter stringWriter = new StringWriter();
            XmlSerializer  serializer = new XmlSerializer(typeof (Employee));
            serializer.Serialize(stringWriter, employee);

            string xml = stringWriter.ToString();   // Convert to string.
            XElement element = XElement.Parse(xml); // Convert string to XML.
            Console.WriteLine(element);             // Show XML.
            Console.ReadLine();
        }
    }
}
