/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Xml.Linq;
using System.Linq;

namespace Starter {
    public class Employee {
        public string FirstName { get; set; }
        public int           ID { get; set; }
    }

    public class Program {
        public static void Main() {
            XElement xml = XElement.Load(@"../../employees.xml"); // Load XML.
            // Method syntax.
            List<Employee> employeesA = xml.Elements("Employee")
                .Select(e => new Employee() {
                    FirstName = e.Element("firstName").Value,
                    ID        = Convert.ToInt32(e.Attribute("id").Value)
                }).ToList();
            ShowEmployees(employeesA);

            // Query syntax.
            List<Employee> employeesB = (
                from e in xml.Elements("Employee")
                select new Employee() {
                    FirstName = e.Element("firstName").Value,
                    ID        = Convert.ToInt32(e.Attribute("id").Value)
                }).ToList();
            ShowEmployees(employeesB);
            Console.ReadLine();
        }

        public static void ShowEmployees(List<Employee> employees) {
            foreach (Employee employee in employees)
                Console.WriteLine("Name:" + employee.FirstName
                                + " ID:" + employee.ID);
            Console.WriteLine();
        }
    }
}
