/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Linq;
using Newtonsoft.Json;
using System.Collections.Generic;

namespace ConsoleApplication2 {
    class Camp {
        public string Day { get; set; }
        public bool Lunch { get; set; }

        public Camp(string day, bool lunch) {
            Day   = day;
            Lunch = lunch;
        }
    }

    class Registrant {
        public string FirstName { get; set; }
        public string LastName  { get; set; }
        public int Age          { get; set; }
        public decimal Paid     { get; set; }
        public List<Camp> Camps { get; set; }

        public Registrant(string first, string last, int age, decimal paid) {
            FirstName = first;
            LastName  = last;
            Age       = age;
            Paid      = paid;
            Camps     = new List<Camp>();
        }
    }

    class Program {
        private static void Main() {
            Registrant registrant = new Registrant("Ben", "Wu", 7, 60.50m);
            registrant.Camps.Add(new Camp("Aug. 2", true));
            registrant.Camps.Add(new Camp(null, true));
            var json = JsonConvert.SerializeObject(registrant);
            Console.WriteLine(json);
            Console.ReadLine();
        }
    }
}
