/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Linq;
using Newtonsoft.Json;
using System.Collections.Generic;

namespace ConsoleApplication2 {
    class Camp {
        public string Day { get; set; }
        public bool Lunch { get; set; }

        public Camp(string day, bool lunch) {
            Day   = day;
            Lunch = lunch;
        }
    }

    class Registrant {
        public string     FirstName { get; set; }
        public string     LastName  { get; set; }
        public int        Age       { get; set; }
        public decimal    Paid      { get; set; }
        public List<Camp> Camps     { get; set; }

        public Registrant(string first, string last, int age, decimal paid) {
            FirstName = first;
            LastName  = last;
            Age       = age;
            Paid      = paid;
            Camps     = new List<Camp>();
        }
    }

    class Program {
        private static void Main() {
            string json   = "{'FirstName':'Ben','LastName':'Wu','Age':7,'Paid':60.50,"
                          + "'Camps':[{'Day':'Aug. 2','Lunch':true},"
                          + "{'Day':null,'Lunch':true}]}";
            // Deserialize.
            Registrant  r = JsonConvert.DeserializeObject<Registrant>(json);
            
            // Show object details with C# and LINQ.
            Console.WriteLine("Registrant: " + r.FirstName + " " + r.LastName);
            Console.WriteLine("Days Confirmed: ");
            List<Camp> camps = r.Camps.Where(c => c.Day != null).ToList();
            foreach (Camp camp in camps)
                Console.WriteLine("Day - " + camp.Day + " Lunch - " + camp.Lunch);
            Console.ReadLine();
        }
    }
}
