/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            decimal REVENUE = 43000m, EXPENSES = 2030m;
            Budget retail = new Budget(REVENUE, EXPENSES); // Create budget.
            retail.ShowBudget("Retail Budget:");
            Budget online = new Budget(REVENUE, EXPENSES); // Create budget.
            online.ShowBudget("Online Budget:");
            Budget combined = retail + online;             // Combine budgets.
            combined.ShowBudget("Retail and Online Budgets Combined:");
            Budget emptyBudget = new Budget();             // Create budget.
            if (emptyBudget)                               // Ensure balances
                                                           // are not zero.
                emptyBudget.ShowBudget("Budget is not empty.");
            else
                Console.WriteLine("Empty Budget.");
            Console.ReadLine();
        }
    }

    class Budget {
        public decimal Revenue { get; set; }
        public decimal Expenses { get; set; }

        public Budget() {
        }

        public Budget(decimal revenue, decimal expenses) {
            Revenue = revenue;
            Expenses = expenses;
        }

        // 'true' operator ensures Budget properties are not zero.
        public static bool operator true(Budget budget) {
            if (budget.Revenue == 0 && budget.Expenses == 0)
                return false;
            return true;
        }

        // 'false' operator only required if 'true' operator is present.
        public static bool operator false(Budget budget) {
            return false;
        }

        // '+' overload adds Budget objects.
        public static Budget operator +(Budget a, Budget b) {
            Budget   sum = new Budget();
            sum.Revenue  = a.Revenue + b.Revenue;
            sum.Expenses = a.Expenses + b.Expenses;
            return sum;
        }

        // Show Budget properties.
        public void ShowBudget(string title) {
            Console.WriteLine(title);
            Console.WriteLine("Revenue: "  + Revenue.ToString("C"));
            Console.WriteLine("Expenses: " + Expenses.ToString("C"));
            Console.WriteLine();
        }
    }
}
