/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            Review review = new Review();
            review.ShowDates("Original Fiscal Review Dates: ");
            review += 45; // Add days to FirstQtr and SecondQtr properties.
            review.ShowDates("Adjusted Fiscal Review Dates: ");
            Console.ReadLine();
        }
    }

    class Review {
        public DateTime FirstQtr { get; set; }
        public DateTime SecondQtr { get; set; }

        public Review() {
            DateTime startDate = new DateTime(1977, 01, 03);
            FirstQtr           = startDate.AddMonths(3);
            SecondQtr          = FirstQtr.AddMonths(3);
        }

        // + operator adjusts quarterly review dates.
        public static Review operator +(Review review, int days) {
            review.FirstQtr  = review.FirstQtr.AddDays(days);
            review.SecondQtr = review.SecondQtr.AddDays(days);
            return review;
        }

        public void ShowDates(string title) {
            Console.WriteLine(title);
            Console.WriteLine("1st Fiscal Qtr: "
                              + FirstQtr.ToString("M/d/yyyy"));
            Console.WriteLine("2nd Fiscal Qtr: "
                              + SecondQtr.ToString("M/d/yyyy"));
            Console.WriteLine();
        }
    }
}
